OptimoCMSDocs

Sites

Site management

GET
/v1/sites

Authorization

ApiKeyAuth
X-Api-Key<token>

API key obtained from the CMS dashboard.

In: header

Query Parameters

limit?integer
Default25
Rangevalue <= 100
cursor?string
status?string
Value in"draft" | "published" | "archived"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/sites"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "domain": "string",
      "status": "draft",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "total": 0,
    "limit": 0,
    "nextCursor": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}